Subject: bug#68764: ASDF can't load sbcl-clx-truetype installed through Guix

From: Guillaume Le Vaillant <[email-masked]>
Date: Sat, 27 Jan 2024 21:49:42 +0000

[email-masked] skribis:

> John Kehayias <[email-masked]> writes:
>
>> Hi Lars,
>>
>> I can't reproduce this, at least on Guix at commit
>> da3e6aea0a750246e8a9120d62441c3df65faff0
>>
>> I ran your command in one line with guix shell (and set --pure just in
>> case; I have SBCL_HOME set, not sure if anything else relevant):
>> ...
>> Perhaps try with 'guix shell --pure' as well, in case it is an
>> environment setting?
>>
>> John
>
> I ran the exact same command as you, and still get the error inside the
> pure shell. Also, I don't think this has anything to do with a specific
> Guix commit, since this has been like this for several months. In fact
> it has never worked for me at all. I did a pull again now, so should be
> on the latest commit, but the error is still present. I am currently on
> dc8aa52.
>
> I even tried running it in a container, and the error is there also, so
> this cannot be because of something else in my system, right?

Hi.
Could you check if adding the "--no-userinit" option for sbcl makes
a difference?